#!/bin/bash
#------------------------------------------------------------
#
#------------------------------------------------------------
cd ~
sudo apt-get update
sudo apt-get -y upgrade
sudo apt-get install -y gst-launch*
sudo apt-get install -y build-essential git cmake pkg-config
sudo apt-get install -y libjpeg-dev libtiff5-dev libpng-dev
sudo apt-get install -y v4l-utils
sudo apt-get install -y libavcodec-dev libavformat-dev libswscale-dev libv4l-dev libxvidcore-dev libx264-dev libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev
sudo apt-get install -y libgtk2.0-dev
sudo apt-get install -y libatlas-base-dev gfortran
sudo apt-get install -y python2.7-dev python3-dev python-opencv libopencv-dev
sudo apt-get install -y python3-pip python3-numpy libtcmalloc-minimal4 glib-2.0 libboost-all-dev
sudo ldconfig
export LD_PRELOAD="/usr/lib/libtcmalloc_minimal.so.4"
#------------------------------
wget -O ~/opencv.zip https://github.com/opencv/opencv/archive/3.3.0.zip
unzip opencv.zip
wget -O ~/opencv_contrib.zip https://github.com/opencv/opencv_contrib/archive/3.3.0.zip
unzip opencv_contrib.zip
cd ~/opencv-3.3.0/
mkdir build
cd build
cmake -D CMAKE_BUILD_TYPE=RELEASE \
    -D WITH_LIBV4L=ON \
    -D OPENCV_EXTRA_MODULES_PATH=~/opencv_contrib-3.3.0/modules \
    -D CMAKE_INSTALL_PREFIX=/usr/local ..
sudo make install -j4
sudo ldconfig
export LD_PRELOAD="/usr/lib/libtcmalloc_minimal.so.4"
#------------------------------
wget https://raw.githubusercontent.com/opencv/opencv/master/data/haarcascades/haarcascade_frontalcatface.xml
wget https://raw.githubusercontent.com/opencv/opencv/master/data/haarcascades/haarcascade_frontalface_default.xml

